module.exports = createStorage

var path = require('path')
var level = require('levelup')
var mkdirp = require('mkdirp')

function createStorage (storagePath, name) {
  if (!storagePath) return
  const dbPath = path.join(storagePath, name + '.db')

  try {
    mkdirp.sync(dbPath)
  } catch (err) {
    // dir already exists is not an error for us
    if (err.code !== 'EEXISTS') throw err
  }

  return level(dbPath, {
    valueEncoding: 'json'
  })
}
